%define major 0
%define libpackage %mklibname ptytty %{major}
%define devpackage %mklibname -d ptytty

Name: libptytty
Version: 2.0
Release: %mkrel 1
Summary: OS independent and secure pty/tty and utmp/wtmp/lastlog handling
License: GPLv2+
Group: Terminals
URL: http://software.schmorp.de/
Source0: http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: gnupg2
BuildRequires: git

%description
libptytty is a small library that offers pseudo-tty management in an OS-independent way.
It also offers session database support (utmp and optional wtmp/lastlog updates for login shells) 
and supports fork'ing after startup and dropping privileges in the calling process.  
Libptytty is written in C++, but it also offers a C-only API.

%package -n %{libpackage}
Summary:	libptytty is a small library that offers pseudo-tty management in an OS-independent way.
Group:		System/Libraries

%description -n %{libpackage}
libptytty is a small library that offers pseudo-tty management in an OS-independent way.
It also offers session database support (utmp and optional wtmp/lastlog updates for login shells) 
and supports fork'ing after startup and dropping privileges in the calling process.  
Libptytty is written in C++, but it also offers a C-only API.

%package -n %{devpackage}
Summary:	Development files for libptytty
Group:		Development/Libraries
Requires:	%{libpackage}

%description -n %{devpackage}
Development files for libptytty.

%prep
%setup -q

%build
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files -n %{libpackage}
%{_libdir}/*.so.%{major}*

%files -n %{devpackage}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%changelog
* Sat Jan 14 2024 tex - 2.0-1pclos2023
- create pkg
